import type * as Types from './types';
export default class HttpClient {
    static markets(): Promise<({
        product_code: "BTC_JPY";
        market_type: "Spot";
    } | {
        product_code: "ETH_JPY";
        market_type: "Spot";
    } | {
        product_code: "FX_BTC_JPY";
        market_type: "FX";
    } | {
        product_code: "ETH_BTC";
        market_type: "Spot";
    } | {
        product_code: "BCH_BTC";
        market_type: "Spot";
    })[] | null>;
    static board1(product?: Types.ProductCode): Promise<{
        mid_price: number;
        bids: {
            price: number;
            size: number;
        }[];
        asks: {
            price: number;
            size: number;
        }[];
    } | null>;
    static ticker1(product?: Types.ProductCode): Promise<{
        product_code: "BTC_JPY" | "ETH_JPY" | "FX_BTC_JPY" | "ETH_BTC" | "BCH_BTC";
        state: Types.BoardState;
        timestamp: string;
        tick_id: number;
        best_bid: number;
        best_ask: number;
        best_bid_size: number;
        best_ask_size: number;
        total_bid_depth: number;
        total_ask_depth: number;
        market_bid_size: number;
        market_ask_size: number;
        ltp: number;
        volume: number;
        volume_by_product: number;
    } | null>;
    static executions1(product?: Types.ProductCode): Promise<({
        id: number;
        side: "BUY";
        price: number;
        size: number;
        exec_date: string;
        buy_child_order_acceptance_id: string;
        sell_child_order_acceptance_id: string;
    } | {
        id: number;
        side: "SELL";
        price: number;
        size: number;
        exec_date: string;
        buy_child_order_acceptance_id: string;
        sell_child_order_acceptance_id: string;
    })[] | null>;
    static boardState(product?: Types.ProductCode): Promise<{
        health: Types.Health;
        state: Types.BoardState;
    } | null>;
    static health(product?: Types.ProductCode): Promise<{
        status: Types.Health;
    } | null>;
    static chats(from?: Date): Promise<{
        nickname: string;
        message: string;
        date: string;
    }[] | null>;
    private static get;
}
