var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { URL } from 'url';
import fetch from 'node-fetch';
export default class HttpClient {
    static markets() {
        return HttpClient.get('markets', {});
    }
    static board1(product) {
        return HttpClient.get('board', { product_code: product });
    }
    static ticker1(product) {
        return HttpClient.get('ticker', { product_code: product });
    }
    static executions1(product) {
        return HttpClient.get('executions', { product_code: product });
    }
    static boardState(product) {
        return HttpClient.get('getboardstate', { product_code: product });
    }
    static health(product) {
        return HttpClient.get('gethealth', { product_code: product });
    }
    static chats(from) {
        return HttpClient.get('getchats', { from_date: from === null || from === void 0 ? void 0 : from.toISOString() });
    }
    static get(method, params) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = new URL(`https://api.bitflyer.com/v1/${method}`);
            // eslint-disable-next-line no-return-assign
            Object.entries(params).forEach(([k, v]) => url.search = `${k}=${v}`);
            const res = yield fetch(url.toString());
            if (!res.ok) {
                throw new Error(res.statusText);
            }
            try {
                return yield res.json();
            }
            catch (_a) {
                return null;
            }
        });
    }
}
