import { Observable, Subject } from 'rxjs';
declare type JsonRpcId = string;
declare type JsonRpcRequest = {
    jsonrpc: '2.0';
    method: string;
    params: any;
    id: JsonRpcId;
};
declare type JsonRpcResponse = {
    jsonrpc: '2.0';
    result?: boolean;
    error?: {
        code: number;
        message: string;
    };
    id: JsonRpcId;
};
declare type ProductCode = 'BTC_JPY' | 'FX_BTC_JPY' | 'ETH_BTC';
export default class RealtimeClient {
    protected subject: Subject<JsonRpcRequest | JsonRpcResponse>;
    protected subscribed: {
        [key: string]: Observable<unknown>;
    };
    constructor();
    unsubscribe(): void;
    board(product: ProductCode): Observable<unknown>;
    boardSnapshot(product: ProductCode): Observable<unknown>;
    executions(product: ProductCode): Observable<unknown>;
    ticker(product: ProductCode): Observable<unknown>;
    protected subscribe(channel: string): Observable<unknown>;
    protected channelMessage(channel: string): Observable<any>;
    protected call(method: string, params: object): Promise<JsonRpcResponse>;
}
export {};
